## AgsTurtleManager

AgsTurtleManager — singleton pattern to organize turtles

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_TURTLE_MANAGER_GET_OBJ_MUTEX()
GObject * | ags_turtle_manager_find ()
void | ags_turtle_manager_add ()
AgsTurtleManager * | ags_turtle_manager_get_instance ()
AgsTurtleManager * | ags_turtle_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsTurtleManager

## Includes

    #include <ags/lib/ags_turtle_manager.h>

## Description

The AgsTurtleManager keeps track of your turtles.

## Functions

### AGS_TURTLE_MANAGER_GET_OBJ_MUTEX()

    #define AGS_TURTLE_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsTurtleManager *) obj)->obj_mutex))

### ags_turtle_manager_find ()

    GObject *
    ags_turtle_manager_find (AgsTurtleManager *turtle_manager,
                             gchar *filename);

Find `filename` in `turtle_manager` .

#### Parameters

turtle_manager | the AgsTurtleManager |
filename | the filename as string |

#### Returns

the matching AgsTurtle, or `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_manager_add ()

    void
    ags_turtle_manager_add (AgsTurtleManager *turtle_manager,
                            GObject *turtle);

Adds `turtle` to `turtle_manager` .

#### Parameters

turtle_manager | the AgsTurtleManager |
turtle | the AgsTurtle. | [transfer full]

Since: 3.0.0

### ags_turtle_manager_get_instance ()

    AgsTurtleManager *
    ags_turtle_manager_get_instance ();

Get instance of AgsTurtleManager.

#### Returns

the AgsTurtleManager.

[transfer none]

Since: 3.0.0

### ags_turtle_manager_new ()

    AgsTurtleManager *
    ags_turtle_manager_new ();

Creates an AgsTurtleManager

#### Returns

a new AgsTurtleManager

Since: 3.0.0